<?php

if (!defined('SMF'))
	die ('Hacking attempt...');
	
function Socialize_admin(&$admin_areas){
	global $txt;
	loadLanguage('Socialize/');	
	
	$admin_areas['config']['areas']['modsettings']['subsections']['Socialize'] = array($txt['admin_menu_socialize']);
}

function Socialize_settings(&$subActions){
	global $txt;
	loadLanguage('Socialize/');	
	
	$subActions['Socialize'] = 'Socialize_settings2';
}

function Socialize_settings2($return_config = false){
	global $context, $txt, $scripturl;
	loadLanguage('Socialize/');	
   
	$context['page_title'] = $context['settings_title'] = $txt['socialize_settings_title'];
	$context['post_url'] = $scripturl . '?action=admin;area=modsettings;save;sa=Socialize';
	$context[$context['admin_menu_name']]['tab_data']['tabs']['Socialize'] = array('description' => $txt['socialize_settings_desc']);
	
	$config_vars = array(
		array('check', 'socialize_enabled'),
		array('check', 'socialize_enabled_main'),
		array('check', 'socialize_enabled_board'),
		array('check', 'socialize_enabled_topic'),
		array('check', 'socialize_enabled_actions'),
		'',
		array('int', 'socialize_top1', 3),
		array('int', 'socialize_top2', 3),
		'<br />' . $txt['socialize_settings_buttons'],
		array('check', 'socialize_button_blogger'),
		array('check', 'socialize_button_bobrdobr'),
		array('check', 'socialize_button_delicious'),
		array('check', 'socialize_button_designbump'),
		array('check', 'socialize_button_designfloat'),
		'',
		array('check', 'socialize_button_digg'),
		array('check', 'socialize_button_evernote'),
		array('check', 'socialize_button_facebook'),
		array('check', 'socialize_button_friendfeed'),
		array('check', 'socialize_button_google_bookmarks'),
		'',
		array('check', 'socialize_button_google_buzz'),
		array('check', 'socialize_button_google_plus_one'),
		array('check', 'socialize_button_identica'),
		array('check', 'socialize_button_juick'),
		array('check', 'socialize_button_linkedin'),
		'',
		array('check', 'socialize_button_liveinternet'),
		array('check', 'socialize_button_livejournal'),
		array('check', 'socialize_button_mail_ru'),
		array('check', 'socialize_button_memori'),
		array('check', 'socialize_button_mister-wong'),
		'',
		array('check', 'socialize_button_mixx'),
		array('check', 'socialize_button_myspace'),
		array('check', 'socialize_button_netvibes'),
		array('check', 'socialize_button_newsvine'),
		array('check', 'socialize_button_odnoklassniki'),
		'',
		array('check', 'socialize_button_pikabu'),
		array('check', 'socialize_button_ping'),
		array('check', 'socialize_button_posterous'),
		array('check', 'socialize_button_reddit'),
		array('check', 'socialize_button_rutvit'),
		'',
		array('check', 'socialize_button_stumbleupon'),
		array('check', 'socialize_button_technorati'),
		array('check', 'socialize_button_tumblr'),
		array('check', 'socialize_button_twitter'),
		array('check', 'socialize_button_vkontakte'),
		'',
		array('check', 'socialize_button_yahoo'),
		array('check', 'socialize_button_yandex'),
		array('check', 'socialize_button_ya_ru'),
		'',
		$txt['socialize_donate'],
	);

	if ($return_config)	return $config_vars;

	// Saving?
	if (isset($_GET['save'])){
		checkSession();
		$save_vars = $config_vars;
		saveDBSettings($save_vars);
		redirectexit('action=admin;area=modsettings;sa=Socialize');
	}

	prepareDBSettingContext($config_vars);
}

function Socialize_template(){
	
	global $context, $modSettings, $settings, $language, $txt;
	
	$need_Socialize  = 	!empty($modSettings['socialize_enabled']);
	$need_Socialize &= 	(!empty($_REQUEST['action']) && !empty($modSettings['socialize_enabled_actions'])) ||
						(empty($_REQUEST['action']) && empty($_REQUEST['board']) && empty($_REQUEST['topic']) && !empty($modSettings['socialize_enabled_main'])) ||
						(!empty($_REQUEST['board']) && !empty($modSettings['socialize_enabled_board'])) ||
						(!empty($_REQUEST['topic']) && !empty($modSettings['socialize_enabled_topic']));
	
	if ($need_Socialize){	
		// check all social buttons for activity
		$socialize_array = explode(', ', 'blogger, bobrdobr, delicious, designbump, designfloat, digg, evernote, facebook, friendfeed, google_bookmarks, google_buzz, identica, juick, linkedin, liveinternet, livejournal, mail_ru, memori, mister-wong, mixx, myspace, netvibes, newsvine, odnoklassniki, pikabu, ping, posterous, reddit, rutvit, stumbleupon, technorati, tumblr, twitter, vkontakte, yahoo, yandex, ya_ru');
		
		$socialize_include = Array();
		
		foreach ($socialize_array as $key => $value)
			if (!empty($modSettings['socialize_button_' . $value]))
				$socialize_include[] = $key;
		
		$socialize_include = '[' . implode(', ', $socialize_include) . ']';
		
		if (!isset($context['html_headers']))
			$context['html_headers'] = '';

		$context['html_headers'] .= '		
		<script type="text/javascript">
			var socialize_top1 = ' . (!empty($modSettings['socialize_top1'])? $modSettings['socialize_top1'] : 150) . ';
			var socialize_top2 = ' . (!empty($modSettings['socialize_top2'])? $modSettings['socialize_top2'] :  20) . ';
			var socialize_include = ' . $socialize_include . ';
			var google_plus_one = ' . (!empty($modSettings['socialize_button_google_plus_one'])? 'true' : 'false') . ';
		</script>
		<script type="text/javascript" src="' . $settings['default_theme_url'] . '/Socialize/' . $language . '.js"></script>
		<script type="text/javascript" src="' . $settings['default_theme_url'] . '/Socialize/socialize.js?1.6"></script>
		<link rel="stylesheet" type="text/css" href="' . $settings['default_theme_url'] . '/Socialize/socialize.css" />
		';
		if (!empty($modSettings['socialize_button_google_plus_one'])){
			$context['html_headers'] .= '
				<script type="text/javascript" src="https://apis.google.com/js/plusone.js">
					  {lang: \'' . $txt['lang_dictionary'] . '\'}
				</script>
			';
		}
	}
}

?>