<?php

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif(!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify that you put this file in the same place as SMF\'s index.php and SSI.php files.');

if ((SMF == 'SSI') && !$user_info['is_admin'])
	die('Admin privileges required.');

global $boardurl, $boarddir, $modSettings, $sourcedir, $smcFunc, $context;

// Hooks
$hooks = array(
	'integrate_pre_include' => '$sourcedir/Socialize.php',
	'integrate_admin_areas' => 'Socialize_admin',
	'integrate_modify_modifications' => 'Socialize_settings',
	'integrate_load_theme' => 'Socialize_template',
);

if (!empty($context['uninstalling']))
	$call = 'remove_integration_function';
else
	$call = 'add_integration_function';

foreach ($hooks as $hook => $function)
	$call($hook, $function);

if (SMF == 'SSI')
	echo 'Database changes are complete! Please wait...';

?>